import { BangleEditor, editorStateCounter } from '@bangle.dev/core';
import { EditorViewContext, usePluginState } from '@bangle.dev/react';
import PropTypes from 'prop-types';
import React from 'react';
export function StaticMenu({ editor, renderMenu }) {
    return editor ? (React.createElement(EditorViewContext.Provider, { value: editor.view },
        React.createElement(StaticMenuContainer, { renderMenu: renderMenu }))) : null;
}
StaticMenu.propTypes = {
    renderMenu: PropTypes.func.isRequired,
    editor: PropTypes.instanceOf(BangleEditor),
};
function StaticMenuContainer({ renderMenu, }) {
    usePluginState(editorStateCounter.docChangedKey, true);
    usePluginState(editorStateCounter.selectionChangedKey, true);
    return renderMenu();
}
